import { ChangeDetectorRef } from "@angular/core";
import { AyudaService } from "../../service/ayuda.service";
import { BitCustomComponent } from "./bit-custom.component";
/** Clase general para componentes personalizados de tipo Fecha como puede ser BitDate, BitTime y BitDateTime */
export declare abstract class BitCalendarComponent extends BitCustomComponent {
    protected ayudaService: AyudaService;
    protected changeDetectorRef: ChangeDetectorRef;
    fechaMinima: Date;
    fechaMaxima: Date;
    calendarReadOnlyInput: boolean;
    rangoAnyoMinimo: string;
    rangoAnyoMaximo: string;
    yearRange: string;
    constructor(ayudaService: AyudaService, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    LOCALE_ES: any;
}
