"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var index_1 = require("../../base/index");
var index_2 = require("../../shared/index");
var ConfigListTableViewComponent = /** @class */ (function (_super) {
    __extends(ConfigListTableViewComponent, _super);
    function ConfigListTableViewComponent(domainCachedService, tableViewService, router, activatedRoute) {
        var _this = _super.call(this, domainCachedService, tableViewService) || this;
        _this.domainCachedService = domainCachedService;
        _this.tableViewService = tableViewService;
        _this.router = router;
        _this.activatedRoute = activatedRoute;
        _this.cols = [
            { field: "codigo", header: "Codi" },
            { field: "valor", header: "Valor" }
        ];
        _this.cols = [
            { field: "codigo", header: "Codi" },
            { field: "valor", header: "Valor" }
        ];
        return _this;
    }
    ConfigListTableViewComponent.prototype.gotoForm = function (event) {
        this.router.navigate(["form", event.codigo], { relativeTo: this.activatedRoute }); //, {relativeTo: this.activatedRoute}
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], ConfigListTableViewComponent.prototype, "items", void 0);
    ConfigListTableViewComponent = __decorate([
        core_1.Component({
            selector: "config-list-tableview",
            template: "\n    <!--<p-dataTable [value]=\"items\" (onRowClick)=\"gotoForm($event)\" selectionMode=\"single\" *ngIf=\"(items != null && items.length > 0)\">\n  <p-column field=\"codigo\" header=\"Codi\" [sortable]=\"true\"></p-column>\n  <p-column field=\"valor\" header=\"Valor\" [sortable]=\"true\"></p-column>\n</p-dataTable>-->\n    <p-table\n      [columns]=\"cols\"\n      [value]=\"items\"\n      (onRowClick)=\"gotoForm($event)\"\n      selectionMode=\"single\"\n      *ngIf=\"items != null && items.length > 0\"\n    >\n      <ng-template pTemplate=\"header\">\n        <tr>\n          <th pSortableColumn=\"codigo\">Codi<p-sortIcon field=\"codigo\"></p-sortIcon></th>\n          <th pSortableColumn=\"valor\">Valor<p-sortIcon field=\"valor\"></p-sortIcon></th>\n        </tr>\n      </ng-template>\n      <ng-template pTemplate=\"body\" let-rowData>\n        <tr (click)=\"gotoForm(rowData)\">\n          <td>{{ rowData.codigo }}</td>\n          <td>{{ rowData.valor }}</td>\n        </tr>\n      </ng-template>\n    </p-table>\n  "
        }),
        __metadata("design:paramtypes", [index_2.DomainCachedService,
            index_2.TableViewService,
            router_1.Router,
            router_1.ActivatedRoute])
    ], ConfigListTableViewComponent);
    return ConfigListTableViewComponent;
}(index_1.BaseTableViewComponent));
exports.ConfigListTableViewComponent = ConfigListTableViewComponent;
//# sourceMappingURL=config-list-tableview.component.js.map